View Issue Details

IDProjectCategoryView StatusLast Update
0000955Database Comparer VCL[All Projects] Generalpublic2019-04-18 19:44
ReportershirokovAssigned Tobarry 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version[Database Comparer] 7.0.0.1678 
Summary0000955: The comparer doesn't support default values for parameters of stored procedures
DescriptionThe only parameters of domain type have default values.

Source DB

create or alter procedure "AuftrDokument_Suchen_Hilfe" (
 "SuchArt" integer = null,
 "I_OrderBy" varchar(640) = '"AuftrDokument_Erstellt" desc ',
 "I_MaxAnzahl" integer = null,
 I_GP_ID integer = null,
 I_DOK_ART "d_str320" = null,
 I_AB_DATUM timestamp = null,
 I_BIS_DATUM timestamp = null,
 "I_AuftrDokumentID" integer = null,
 "I_AuftragDokPositionenID" bigint = null,
 "I_AbfrageID" integer = null,
 "I_AbgeschlDokumenteAusblenden" "D_BOOLEAN_YNNull" = 'N',
 "I_VonNr" bigint = null,
 "I_BisNr" bigint = null,
 "I_VonBenutzerAspID" integer = null,
 "I_VonTourNr" type of column "AuftragsDokumenteExt"."ADE_TourNr" = null,
 "I_BisTourNr" type of column "AuftragsDokumenteExt"."ADE_TourNr" = null,
 "I_Zusatzangaben" "d_str320" = null)
returns (
 "ASH_Dokument_ID" integer)
as

DBVCLComparer create script:
ALTER PROCEDURE "AuftrDokument_Suchen_Hilfe"("SuchArt" INTEGER,
"I_OrderBy" VARCHAR(640),
"I_MaxAnzahl" INTEGER,
I_GP_ID INTEGER,
I_DOK_ART "d_str320" = null,
I_AB_DATUM TIMESTAMP,
I_BIS_DATUM TIMESTAMP,
"I_AuftrDokumentID" INTEGER,
"I_AuftragDokPositionenID" BIGINT,
"I_AbfrageID" INTEGER,
"I_AbgeschlDokumenteAusblenden" "D_BOOLEAN_YNNull" = 'N',
"I_VonNr" BIGINT,
"I_BisNr" BIGINT,
"I_VonBenutzerAspID" INTEGER,
"I_VonTourNr" TYPE OF COLUMN "AuftragsDokumenteExt"."ADE_TourNr" = null,
"I_BisTourNr" TYPE OF COLUMN "AuftragsDokumenteExt"."ADE_TourNr" = null,
"I_Zusatzangaben" "d_str320" = null)
 RETURNS("ASH_Dokument_ID" INTEGER)
 AS
Steps To ReproduceSee the difference between scripts, e.g. for the following parameters:
1) Source DB:
"SuchArt" integer = null,

The update script:
"SuchArt" INTEGER,

2) Source DB:
I_DOK_ART "d_str320" = null,

The update script:
I_DOK_ART "d_str320" = null,
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2016-06-03 23:16 shirokov New Issue
2019-04-11 17:05 barry Assigned To => barry
2019-04-11 17:05 barry Status new => resolved
2019-04-11 17:05 barry Resolution open => fixed
2019-04-11 17:05 barry Fixed in Version => 7.0.0.1678
2019-04-18 19:44 barry Status resolved => closed